Subject: Re: [RFC/PATCH] gitweb: Fix nested links problem with ref markers

From: Jakub Narebski <[email-masked]>
Date: Wed, 14 Jan 2009 11:39:41 +0100

On Wed, 14 Jan 2009, Giuseppe Bilotta wrote:
> On Tue, Jan 13, 2009 at 7:17 PM, Jakub Narebski <[email-masked]> wrote:
>> On Tue, 13 Jan 2009, Giuseppe Bilotta wrote:

[...]
>>> The float thing was the second suggestion I was given on www-style.
>>
>> What was the first suggestion? And what is www-style?
> 
> The first suggestion was to just leave things as they are. www-style
> is [email-masked], the CSS mailing list of the W3C

Thanks.
 
>>> Can you provide a patch I can apply to my tree for testing to see how
>>> it comes up?
>>
>> Here it is. Note that CSS could be I think reduced. The size of
>> gitweb.perl changes is affected by changing calling convention for
>> git_print_header_html subroutine.
> 
> It's funny, I was working on a very similar patch myself a couple of
> days ago, but couldn't get the horizontal filler after the link to
> work properly, which is why I asked on www-style.
> 
> I'll test your patch and let you know.

I am checking 'log' view of git repository; it should have enough
ref markers to test this issue.

It works also in Konqueror 3.5.3-0.2.fc4...
 
>> There is also strange artifact at least in Mozilla 1.17.2: if I hover
>> over ref marker, the subject (title) gets darker background. Curious...
> 
> Might be some kind of bug with the capturing vs bubbling phase.

...but the same artifact can be seen too.  Also I am not entirely
pleased with the way things behave on mouseover.  It is a pity that
you cannot style element using CSS2.1 based on the pseudo-class :hover
of descendant element, or/and pseudo-class of sibling element, which
nevertheless overlays given element.

-- 
Jakub Narebski
Poland